Redmine - Feature #5201

Description field for Tracker setting
2010-03-29 03:49 - Akiko Takano

Status: Closed Start date: 2010-03-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Duplicate

Description
Hello,

| hope to add description field for Tracker setting, because our projects and workflows, statuses are growing day by day and it
becomes hard for users to understand its meaning with the naming only.

| tried to modify my redmine, and enabled to show trcaker's description when editting issues.

Related issues:

Related to Redmine - Feature #5026: Description field for Status/Role/Tracker... New 2010-03-10
Related to Redmine - Feature #4768: "issue category" should have a "descripti... New 2010-02-08
Related to Redmine - Feature #4637: add field description/instructions Closed 2010-01-23
Is duplicate of Redmine - Feature #442: Add a description for trackers Closed

History

#1 - 2010-03-29 03:51 - Akiko Takano

| posted this request at #5026 (not included patch).
Thank you for your time.

#2 - 2010-03-29 04:11 - Akiko Takano
- File add_tracker_description.diff added

Sorry, | forgot to add some new file, such as migartion file.
Please replace above patch.

#3 - 2010-03-29 04:39 - Akiko Takano
- File add_tracker_description.diff added

#4 - 2011-02-23 15:46 - Ryan Cross
does this still apply to 1.1.x?

#5 - 2013-10-13 20:26 - Jean-Philippe Lang
- Related to Feature #442: Add a description for trackers added

#6 - 2017-05-04 15:58 - Akiko Takano

- File issue_5201_tracker_description.patch added

- File issue_5201_tracker_description_test.patch added
- File issue_new.png added

- File project-overview.png added

- File project-setting.png added

- File tracker-index.png added

Dear all.

I’'m so sorry that so long time passed since I've posted this issue and patch.
| just retried to make patch related this feature, based on redmine trunk (r16545)
https://www.redmine.org/issues/5026
https://www.redmine.org/projects/redmine/repository/svn/revisions/16545

1. Add migration file : add column named “description”.
2. Add textarea to write tracker description.

3. Show tracker description with using popup balloon like tooltip at Tracker index, Tracker list at project overview, Checkbox to select tracker at

project setting.

4. Add help icon beside issue tracker pulldown. Click this icon, modal dialog is shown to show selectable tracker names and descriptions.

5. Add spec.

I'm glad | was able to help.

Show modal

issue_new.png
Project setting: Mouse over each tracker and description popup.
project-setting.png

Project overview: Mouse over each tracker and description popup.

project-overview.png

#7 - 2017-05-10 01:32 - Akiko Takano
- File issue_5201_tracker_description.patch added
- File issue_5201_tracker_description.patch added

Updated patch.

#8 - 2017-05-10 01:33 - Akiko Takano

- File issue_5201_tracker_description_test.patch added

Sorry, re-attached for test.

#9 - 2017-06-01 23:13 - Mischa The Evil

For anyone following only this issue and not issue #442: Marius BALTEANU posted a rewrite of Akiko Takano's patch in #442#note-20.

#10 - 2017-06-29 14:44 - Toshi MARUYAMA

- Subject changed from Description field for Tracker setting. to Description field for Tracker setting

#11 - 2018-01-28 21:45 - Marius BALTEANU
- Related to deleted (Feature #442: Add a description for trackers)

#12 - 2018-01-28 21:46 - Marius BALTEANU
- Is duplicate of Feature #442: Add a description for trackers added

#13 - 2018-01-28 21:48 - Marius BALTEANU
- Tracker changed from Patch to Feature
- Status changed from New to Closed

- Resolution set to Duplicate

I'm closing this feature in favour of #442 which is older and it has more comments.

Files

add_tracker_description.diff 8 KB
add_tracker_description.diff 8.89 KB
add_tracker_description.diff 8.24 KB
issue_5201_tracker_description.patch 9.11 KB
issue_5201_tracker_description_test.patch 5.86 KB
issue_new.png 62.4 KB
project-overview.png 45.1 KB
project-setting.png 16 KB
tracker-index.png 38.4 KB
issue_5201_tracker_description.patch 9.58 KB
https://www.redmine.org/issues/442
https://www.redmine.org/issues/442#note-20
https://www.redmine.org/issues/442

issue_5201_tracker_description.patch 9.58 KB 2017-05-09 Akiko Takano
issue_5201_tracker_description_test.patch 6.72 KB 2017-05-09 Akiko Takano
